Bug 497748 - Feature: Protocol independent API for python
Feature: Protocol independent API for python
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
1.1.1
All Linux
urgent Severity medium
: 1.3
: ---
Assigned To: Rafael H. Schloming
Frantisek Reznicek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 16:59 EDT by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Messaging Client Python API is now protocol-independent.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for basic high level API test (606.21 KB, application/x-tbz)
2010-03-17 11:12 EDT, Frantisek Reznicek
no flags Details

  None (edit)
Description Gordon Sim 2009-04-26 16:59:35 EDT
Description of problem:

The python API is tied to the protocol in use. A higher level of abstraction would both avoid this and be simpler for users.
Comment 2 Gordon Sim 2010-02-01 11:31:19 EST
Marking modified; we will track specific issues via distinct BZs from here in.
Comment 3 Frantisek Reznicek 2010-03-17 11:10:18 EDT
The protocol independent API for python was implemented.
Tested on RHEL 4.8 / 5.5 beta i386 / x86_64 on packages:
[root@mrg-qe-02 bz497747-8]# rpm -qa | grep qpid | sort -u
python-qpid-0.7.917557-4.el5
qpid-cpp-client-0.7.916826-2.el5
qpid-cpp-client-devel-0.7.916826-2.el5
qpid-cpp-client-rdma-0.7.916826-2.el5
qpid-cpp-client-ssl-0.7.916826-2.el5
qpid-cpp-mrg-debuginfo-0.7.916826-2.el5
qpid-cpp-server-0.7.916826-2.el5
qpid-cpp-server-cluster-0.7.916826-2.el5
qpid-cpp-server-devel-0.7.916826-2.el5
qpid-cpp-server-rdma-0.7.916826-2.el5
qpid-cpp-server-ssl-0.7.916826-2.el5
qpid-cpp-server-store-0.7.916826-2.el5
qpid-cpp-server-xml-0.7.916826-2.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-client-0.7.918215-1.el5
qpid-java-common-0.7.918215-1.el5
qpid-tools-0.7.917557-4.el5

Address concept is working (both as queue and exchange).
Simple and threaded receive and consume is working somehow.
Interoperability between c++ and python analyzed and working.

There are some missing features at the moment and some reliability issues which will be/were addressed separately.

-> VERIFIED
Comment 4 Frantisek Reznicek 2010-03-17 11:12:52 EDT
Created attachment 400795 [details]
test case for basic high level API test

For analysis spout and drain examples were adopted to be more exchangeble, everything driven from shell.
Comment 5 Douglas Silas 2010-10-07 11:43:49 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The Messaging Client Python API is now protocol-independent.
Comment 7 errata-xmlrpc 2010-10-14 12:01:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.